gbgoffice (1.4-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:39:54 +0800

gbgoffice (1.4-11) unstable; urgency=medium

  * migrate Vcs-* to salsa.debian.org
  * fix typo in the description of 09_deprecated_SigC.patch
  * bump debhelper compatibility level to 11
  * declare conformance with Policy 4.2.0
  * rename the icon in pixmaps/ to match .desktop file name to satisfy
    AppStream
  * copyright: point to GPL-2 for code licensed under GPL v2 or later

 -- Damyan Ivanov <dmn@debian.org>  Thu, 23 Aug 2018 14:41:07 +0000

gbgoffice (1.4-10) unstable; urgency=medium

  * watch: move away from openfmi.net (not maintained anymore)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Jul 2016 10:32:39 +0000

gbgoffice (1.4-9) unstable; urgency=medium

  * Add Vcs-* flags, reporitory uploaded to collab-maint
  * rules: turn on all hardening options
  * fix return value of TranslatorManager::getTestDictionaryObject when the
    file is not good
    - fixes compilation with gcc-6; Closes: #811619
  * patch exam function to not crash when no siutable dictionaries are present
    (Closes: 480003)
  * drop README.source pointing to quilt docs
  * bump copyright years of debian/*
  * drop the menu file from the package
  * add keywords to the .desktop file
  * Declare conformance with Policy 3.9.8

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Jul 2016 10:02:23 +0000

gbgoffice (1.4-8) unstable; urgency=low

  * add 11_explicit-linkage.patch by Bhavani Shankar R.
    Fixes failure at link time when using binutils-gold (Closes: #554373)
  * Claim conformance with policy 3.9.1 (no changes)
  * Convert to "3.0 (quilt)" source format

 -- Damyan Ivanov <dmn@debian.org>  Fri, 25 Feb 2011 22:43:46 +0200

gbgoffice (1.4-7) unstable; urgency=medium

  * add workhelper-buttonbox.patch, accomodating to the changed return type of
    GtkMM's get_status_area()
    Closes: #577371 (FTBFS). Thanks to Lucas Nussbaum.
  * Standard-Version: 3.8.4 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 11 Apr 2010 15:02:11 +0300

gbgoffice (1.4-6) unstable; urgency=low

  * add 09_deprecated_SigC.patch; fixes compilation with gcc-4.5
    Closes: #564991; Thanks to George Danchev for the patch

 -- Damyan Ivanov <dmn@debian.org>  Wed, 20 Jan 2010 08:14:49 +0200

gbgoffice (1.4-5) unstable; urgency=low

  * Acknowledge NMU. Thanks gregor!

  * control: put me in Maintainer: instead of a dead mailing list
  * add README.source documenting quilt usage
  * rules: convert to minimalistic debhelper v7 style
  * control: remove binary package Section (duplicating source one)
  * replace re-autogen.patch with a call of ./autogen.sh
  * merge prepare-configure-for-multidir.patch into multidir.patch
  * refresh all patches with --no-timestamps --no-index -p ab --strip-
    trailing-whitespace
  * describe all patches
  * Bump standards-version to 3.8.3

 -- Damyan Ivanov <dmn@debian.org>  Mon, 28 Dec 2009 14:41:40 +0200

gbgoffice (1.4-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: invalid const conversion", apply patch from Ubuntu, thanks to
    Jon Bernard (closes: #550115).

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 Dec 2009 19:05:39 +0100

gbgoffice (1.4-4) unstable; urgency=low

  * "Going official"

  * First upload to archive. (Closes: #425731)
  * Changed maintainer address to debian-addons-bg-maintainers@openfmi.net;
    Added myself to Uploaders
  * Changed section to text (from contrib/text)
    Rationale: the package itself is GPL, free data for it is available
    + Moved the paragraph about where to get non-free data from long
      description to README.Debian.
  * Added Recommends: bgoffice-computer-terms
  * Added Suggests: bgoffice-dict-downloader
  * Clarified gtk/qt distinction in description
  * Changed menu entry title to "Bulgarian-English dictionary (GTK)"

  [ Yavor Doganov ]
  * debian/control: Build-depend on debhelper >= 5; 5.0.0 is over-precise.
  * Removed myself from Uploaders.
  * debian/rules: Pass --host to ./configure only when DEB_BUILD_GNU_TYPE
    and DEB_HOST_GNU_TYPE differ.
  * Set CXXFLAGS instead of CFLAGS.
  * debian/copyright: Changed the "Present maintainer" record to match
    Damyan's change.

  [ Damyan Ivanov ]
  * Move -Wl,-z,defs from CXXFLAGS to LDFLAGS
  * debian/rules:
    + use "$@" when touching stamps
    + do not ignore errors from $(MAKE) distclean
    + do not depend on patch for cleaning, touch the Makefiles etc to avoid
      their re-creation; dropped clean-patched target
    + fix inter-target dependencies
    + remove stamp files before distclean
    + use $(TMP) for shorter paths
    + remove unused dh_installdirs and dh_link calls
    + symlink usr/share/pixmaps/gbgoffice-icon.png instead of copying it
  * drop Encoding from gbgoffice.desktop
  * Standards-Version: 3.7.3
    debian/menu: s/Apps/Applications/
  * debian/control: promote Homepage to a real field
  * debian/copyright: converted to machine-readable format; add packaging
    copyright; add stanzas for src/eggtrayicon.* and auto* files; use current
    FSF address
  * new 06_const-chars.patch fixes most of the missing "const" for char types
  * new 07_gcc4.3.patch fixes compilation with GCC 4.3

 -- Damyan Ivanov <dmn@debian.org>  Wed, 05 Mar 2008 13:18:40 +0200

gbgoffice (1.4-3) unstable; urgency=low

  * The "Die, useless files, die!" release.
  * Removed debian/dirs, pass -D to the install calls in debian/rules.
  * Removed debian/docs; README contains only installation instructions,
    so it is pointless to have it installed.
  * Removed debian/TODO, it is redundant now.
  * Convert the upstream ChangeLog to UTF-8 and install it.
  * debian/watch: Removed the comments and switch to version 3.
  * Following a (not so recent) discussion on debian@lists.uni-sofia.bg,
    it turned out that bgoffice-computer-terms is not DFSG-compliant, so
    stop recommending it.
  * Added ${misc:Depends} as dependency, just in case.
  * Added myself to Uploaders.

 -- Yavor Doganov <yavor@doganov.org>  Sat, 20 Jan 2007 11:40:55 +0200

gbgoffice (1.4-2) unstable; urgency=low

  [ Damyan Ivanov ]
  * [debian/rules] Use -Wl,--as-needed in LDFLAGS to avoid unnecessary
    dependencies
  * [debian/patches] Renamed all patches to reflect their order
  * [debian/copyright] Added license for the packaging (GPL2)
  * [debian/control]
    + Changed section to "text".
    + Until better mailing list is found, I am the maintainer, Yavor and
      George - co- maintainers.
    + Recommends: bgoffice-computer-terms
    + Small improvement of the long description
  * [debian/postinst, debian/postrm] dropped. Were dh_make stubs.

  [ George Danchev ]
  * Changed back to contrib/text since depends on non-free dictionaries
  * Updated README.Debian

 -- Damyan Ivanov <dam@modsoftsys.com>  Tue, 24 Oct 2006 14:41:17 +0300

gbgoffice (1.4-1) unstable; urgency=low

  * New upstream release

  * Moved from dpatch to quilt
  * Changed debian/patches accordingly
  * Dropped 01_trunk-light-version-support.patch - included upstream
  * Added patches to ease autotools re-run
    + prepare-configure-for-multidir.patch
    + re-autogen.patch
  * Adjusted 02_multidir.patch
  * Added gcc4.1.patch to remove extra qualification
  * [debian/rules] clean: remove also src/stamp-h.in; don't remove Makefile.in
    and aclocal.m4

 -- Damyan Ivanov <dam@modsoftsys.com>  Mon,  4 Sep 2006 16:06:24 +0300

gbgoffice (1.3-6) unstable; urgency=low

  * Changed my address
  * Note that current maintenance is done by Bulgarian Debian Group

 -- Damyan Ivanov <dam@modsoftsys.com>  Fri, 26 May 2006 20:54:14 +0300

gbgoffice (1.3-5) unstable; urgency=low

  * Actually add a hint to debian/menu, instead of only thinking about it.

 -- Yavor Doganov <yavor@doganov.org>  Wed, 24 May 2006 15:31:28 +0300

gbgoffice (1.3-4) unstable; urgency=low

  * Moved the source package to contrib/x11.
  * Fixed minor typos in long description.
  * Changed "kbgoffice" to "kbedic" in long description since the latter
    is the actual package name in Debian.
  * Added Homepage to the long description.
  * Added Bulgarian entries to gbgoffice.desktop.
  * Capitalize the title in debian/menu, add hint as well.
  * Document in TODO.Debian my personal view for the future of this
    package.
  * [debian/copyright]: Clarify Copyright vs. License, also point to GPL,
    not GPL-2, since the license is GPLv2 or later.
  * Bumped Standards-Version to 3.7.2, no changes needed.

 -- Yavor Doganov <yavor@doganov.org>  Sun, 21 May 2006 13:39:10 +0300

gbgoffice (1.3-3) unstable; urgency=low

  * Rebuild against libglibmm-2.4-1c2a, libgtkmm-2.4-1c2a and
    libsigc++-2.0-0c2a.
  * Moved to debhelper compat level 5, adjusted the build-dependencies
    accordingly.

 -- Yavor Doganov <yavor@doganov.org>  Fri,  9 Dec 2005 22:06:43 +0200

gbgoffice (1.3-2) unstable; urgency=low

  * Do not acknowledge NMU, since the previous upload was not actually an NMU
  * Moved to group maintenance
    + Maintainer: Bulgarian Debian Group
    + Uploaders: Damyan Ivanov, George Danchev, Yavor Doganov

  * Revisited debian/copyright:
    + added Radostin Radnev to copyright holders and authors
    + Added years of publication of copyrighted work.

  * Change section to contrib/x11, since package practically depends on
    non-distributable data.
  * Re-created short and long package descriptions. Much more descriptive now
  * Fixed changed address of Free Software Foundation
  * Added .desktop file
  * Moved to dpatch
  * Dropped cdbs from debian/rules

 -- Damyan Ivanov <divanov@creditreform.bg>  Thu, 29 Sep 2005 12:04:43 +0300

gbgoffice (1.3-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Rebuild for the C++ ABI transition
  * Fix a typo in the short description
  * Bumped Standards-Version to 3.6.2.1 (no changes needed)

 -- Yavor Doganov <yavor@doganov.org>  Tue, 13 Sep 2005 23:30:06 +0300

gbgoffice (1.3-1) unstable; urgency=low

  * New upstream release
  * use --with-dictionary-dirs

 -- Damyan Ivanov <divanov@creditreform.bg>  Wed, 16 Mar 2005 10:00:34 +0200

gbgoffice (1.2+1.3.0.0.20050305-1) unstable; urgency=low

  * New upstream prerelease

 -- Damyan Ivanov <divanov@creditreform.bg>  Sat,  5 Mar 2005 20:08:12 +0200

gbgoffice (1.2-6) unstable; urgency=low

  * rebuild for unstable, not experimental. Long live pbuilder!

 -- Damyan Ivanov <divanov@creditreform.bg>  Wed, 26 Jan 2005 12:00:20 +0200

gbgoffice (1.2-5) unstable; urgency=low

  * Again, rebuild with --enable-dictionary-dir, which sets dataDir to
    /usr/local/share/bgoffice

 -- Damyan Ivanov <divanov@creditreform.bg>  Mon, 24 Jan 2005 11:52:22 +0200

gbgoffice (1.2-4) unstable; urgency=low

  * Sorry, resynced back to gbgoffice/tags/1.2

 -- Damyan Ivanov <divanov@creditreform.bg>  Mon, 24 Jan 2005 11:44:21 +0200

gbgoffice (1.2-3) unstable; urgency=low

  * Resync with multidir branch

 -- Damyan Ivanov <divanov@creditreform.bg>  Mon, 24 Jan 2005 10:30:53 +0200

gbgoffice (1.2-2) unstable; urgency=low

  * Changed Depends: bgoffice-bg-en-dict | bgoffice-data to Recommends:

 -- Damyan Ivanov <divanov@creditreform.bg>  Mon, 24 Jan 2005 10:17:14 +0200

gbgoffice (1.2-1) unstable; urgency=low

  * New upstream version
  * debian/patches
    001_gbgoffice.1 - removed, already included in new upstream
  * Reworked multi-path changes, ./configure now supports
    --with-dictionaries-dirs

 -- Damyan Ivanov <divanov@creditreform.bg>  Mon, 24 Jan 2005 09:57:11 +0200

gbgoffice (1.1-3) unstable; urgency=low

  * debian/patches/002_local-dicts.patch
    - Added
    - Made findFiles understand path1:path2:path3 notation
    - Made GUI.init() always prepend '/usr/local/share/bgoffice:' to the
      dataDir

 -- Damyan Ivanov <divanov@creditreform.bg>  Fri, 21 Jan 2005 10:20:01 +0200

gbgoffice (1.1-2) unstable; urgency=low

  * debian/rules: moved to cdbs
  * debian/patches/001_gbgoffice.1 : upstream manpage

 -- Damyan Ivanov <divanov@creditreform.bg>  Thu, 20 Jan 2005 11:05:23 +0200

gbgoffice (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Damyan Ivanov <divanov@creditreform.bg>  Tue, 18 Jan 2005 09:05:13 +0200

